Subject: RE: [XCON] Draft defining the conferencing roles for XCON

From: "Oscar Novo (JO/LMF)" <[email-masked]>
Date: Mon, 17 Oct 2005 16:25:32 +0200

Hi Pete,

Thanks for your suggestion! We know the versioning is one of the problems of XML and we had lot of problems to define the extensibility of the schema. Actually, we haven't thought about the posibility to use "union". Thank you very much for your help. We will incorporate your suggestion in the new version of our draft.

Thanks,

Oscar

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Pete Cordell
Sent: 17. lokakuuta 2005 17:09
To: Morgan, Dave; XCON
Subject: Re: [XCON] Draft defining the conferencing roles for XCON

Hi Dave,

I'm afraid I haven't followed the XCON work in detail, but saw your schema 
and was a bit worried about the versioning aspects of a schema that uses 
enumerations.  Does XCON have a formal policy on how versioning of schema 
should be done?  As you probably know, this is one of the weak areas of XML 
schema, and it's unlikely that a versionable schema will happen by accident! 
Hence I would recommend having a formal draft (for the time being) on what 
approach should be taken for versioning so everyone is on the same page.  In 
my opinion reliance of changing namespace names is brittle and best avoided 
if possible.  To that end, something like the following might be considered:

   <xs:schema targetNamespace="urn:ietf:params:xml:ns:role-schema"
    xmlns="urn:ietf:params:xml:ns:role-schema"
    xmlns:xs="http://www.w3.org/2001/XMLSchema">

    <xs:simpleType name="role-type">
        <xs:union memberTypes="role-type-defined role-type-extension"
    </xs:simpleType>

    <xs:simpleType name="role-type-defined">
       <xs:restriction base="xs:string">
         <xs:enumeration value="Administrator"/>
         <xs:enumeration value="Creator"/>
         <xs:enumeration value="Moderator"/>
         <xs:enumeration value="Participant"/>
         <xs:enumeration value="Observer"/>
       </xs:restriction>
    </xs:simpleType>

    <xs:simpleType name="role-type-extension">
       <xs:restriction base="xs:string"/>
    </xs:simpleType>
    </xs:schema>

This allows new roles to be added to role-type-defined, without causing 
problems for entities that validate against an old schema.

Regards,

Pete.
--
=============================================
Pete Cordell
Tech-Know-Ware Ltd
                         for XML to C++ data binding visit
                         http://www.tech-know-ware.com/lmx
                         (or http://www.xml2cpp.com)
=============================================

----- Original Message ----- 
From: "Morgan, Dave" <[email-masked]>
To: "XCON" <[email-masked]>
Sent: Monday, October 17, 2005 2:31 PM
Subject: [XCON] Draft defining the conferencing roles for XCON

Folks,

Oscar and I have just submitted a draft defining the conferencing roles
for XCON.  Until it appears in the archives, you can refer to the
attached document.

In this draft we have taken a stab at defining five roles within a
conference.  They are: administrator, creator, moderator, participant,
and observer.  We have also written an XML schema so that these role
definitions can be incorporated into other XCON drafts.

Your comments are appreciated. We hope to have discussions on this topic
on the mailing list. The following is the abstract of the draft:

   This document defines the set of possible conferencing roles that are
   used to represent participants within a Conference Object (as
   defined in the XCON Conference Framework [1]).  The document also
   provides a set of semantics associated with each role.  Additional
   roles may be defined in the future, as necessary, with their
   corresponding schema extensions, as appropriate.

Cheers,

Dave

------------------------------------------------------------------------

David P. Morgan, PhD
VP, Architecture & Planning
Fidelity Investments Systems Company - Telecom
Phone:  617 563-2178
Fax:      617 385 2122
Mailing: 82 Devonshire St, MZ V8C
            Boston, MA 02109-3614
Office:   245 Summer Street, 8th Floor

--------------------------------------------------------------------------------

> _______________________________________________
> XCON mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/xcon
> 

_______________________________________________
XCON mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/xcon

_______________________________________________
XCON mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/xcon